package com.ruoyi.common.core.constant;

/**
 * @Description: 平台常量字典信息
 * @ClassName: HwDictConstants
 * @Author : xins
 * @Date :2023-09-03  12:27
 * @Version :1.0
 */
public class HwDictConstants {

    public static final String EFFECTIVE_TIME_FLAG_LONG = "1";//长期有效
    public static final String EFFECTIVE_TIME_FLAG_RANGE = "2";//时间范围

    public static final String AREA_SHAPE_FLAG_POLYGN = "1";//多边形
    public static final String AREA_SHAPE_FLAG_CIRCULA = "2";//圆形

    public static final String DEFAULT_FUNCTION_LONGITUDE_IDENTIFIER = "longitude";//经度标识符
    public static final String DEFAULT_FUNCTION_LATITUDE_IDENTIFIER = "latitude";//纬度标识符

    public static final String ELECTRONIC_FENCE_TRIGGER_STATUS_EXIT = "1";//电子围栏触发状态：出界
    public static final String ELECTRONIC_FENCE_TRIGGER_STATUS_ENTRY = "2";//电子围栏触发状态：入界

    public static final String ALARM_INFO_TYPE_DEVICE = "1";//设备报警
    public static final String ALARM_INFO_TYPE_MONITOR_UNIT = "2";//监控单元
    public static final String ALARM_INFO_TYPE_OFFLINE = "3";//离线报警
    public static final String ALARM_INFO_TYPE_ELECTRONIC_FENCE = "4";//电子围栏

}
